.welcome-text {

    background: linear-gradient(-135deg, #163095 0%, #2380bc 100%); -webkit-background-clip: text; -webkit-text-fill-color: transparent; background-clip: text;
    
}

.google-review-button{
    display:inline-block;
    background:#4285F4;
    color:#fff;
    padding:12px 20px;
    border-radius:5px;
    font-weight:600;
    text-decoration:none;
    transition:.3s;
}
.google-review-button:hover{
    background:#3367d6;
    color:#fff;
}

.client-position{
    display:block;
    font-size:13px;
    color:#777;
    margin-top:3px;
    font-style:italic;
}

/* Common Style */
.float-phone,
.float-whatsapp {
    position: fixed;
    width: 50px;
    height: 50px;
    left: 10px;            
    color: #fff;
    border-radius: 10px;
    text-align: center;
    font-size: 24px;
    line-height: 50px;
    z-index: 1000;
    box-shadow: 0 0 12px rgba(0,0,0,0.3);   /* SHADOW BORDER */
    transition: all 0.3s ease;
}

/* Phone Button */
.float-phone {
    bottom: 200px;
    background-color: #e53935; /* Red */
}
.float-phone i {
        transform: rotate(0deg) !important;  /* Force normal direction */
}


/* WhatsApp Button */
.float-whatsapp {
    bottom: 140px;
    background-color: #25d366; /* WhatsApp Green */
}

/* Hover Effect */
/* .float-phone:hover,
.float-whatsapp:hover {
    transform: scale(1.1);
    box-shadow: 0 0 18px rgba(0,0,0,0.5);
} */

.nivraj-floating-box {
        position: fixed;
        bottom: 20px;
        right: 20px;
        display: flex;
        flex-direction: column;
        gap: 15px;
        z-index: 9999;
    }

    .nivraj-btn {
        display: flex;
        align-items: center;
        gap: 8px;
        padding: 12px 18px;
        border-radius: 50px;
        color: white;
        font-weight: 600;
        font-size: 14px;
        text-decoration: none;
        box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
        transition: all 0.3s ease;
    }

    .nivraj-btn i {
        font-size: 18px;
    }

    /* WhatsApp Button */
    .nivraj-whatsapp-btn {
        background-color: #25D366;
    }

    .nivraj-whatsapp-btn:hover {
        background-color: #1ebe5d;
        transform: scale(1.05);
    }

    /* Call Button */
    .nivraj-call-btn {
        background-color: #2C3E50;
    }

    .nivraj-call-btn:hover {
        background-color: #1a2a38;
        transform: scale(1.05);
    }

    .mega-dropdown {
    position: static;
}

.mega-menu {
    position: absolute;
    left: -646px;
    width: 1200px;
    background: #fff;
    padding: 43px;
    box-shadow: 0 15px 40px rgba(0,0,0,.15);
    opacity: 0;
    visibility: hidden;
    transition: .3s;
    z-index: 999;
}


.mega-dropdown:hover .mega-menu {
    opacity: 1;
    visibility: visible;
    top: 100%;
}

.mega-menu-inner {
    max-width: 1200px;
    margin: auto;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
   
}

.mega-column h4 {
    color: #050a1e;
    font-size: 16px;
    font-weight: 600;
    margin-bottom: 10px;
}

.mega-column ul {
    list-style: none;
    padding: 0;
}

.mega-column ul li {
    margin-bottom: 8px;
    margin-left: -14px;
}

.mega-column ul li a {
    color: #555;
    font-size: 14px;
    text-decoration: none;
}

.mega-column ul li a:hover {
    color: #0d6efd;
}

/* ===== SERVICES MEGA MENU ===== */
.service-mega-menu {
    position: absolute;
    top: 100%;
    left: 139px;
    transform: translateX(-50%);
    width: 1200px;
    background: #fff;
    padding: 40px;
    box-shadow: 0 15px 40px rgba(0,0,0,.15);
    opacity: 0;
    visibility: hidden;
    transition: all 0.3s ease;
    z-index: 999;
}

.service-dropdown:hover .service-mega-menu {
    opacity: 1;
    visibility: visible;
}

/* Inner grid */
.service-mega-inner {
    max-width: 1200px;
    margin: auto;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
  
}

/* Columns */
.service-column h4 {
    color: #050a1e;
    font-size: 16px;
    font-weight: 600;
    margin-bottom: 12px;
}

.service-column ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.service-column ul li {
    margin-bottom: 8px;
      margin-left: -14px;
}

.service-column ul li a {
    color: #555;
    font-size: 14px;
    text-decoration: none;
    transition: 0.2s;
}

.service-column ul li a:hover {
    color: #0d6efd;
    padding-left: 4px;
}

